Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.base
Interface IEssExtendedObject

All Superinterfaces:
  IEssBaseObject

All Known Subinterfaces:
  IEssCluster, IEssConnectionPool, IEssCube, IEssCubeOutline, IEssCubeView, IEssDimension, IEssDomain, IEssEnterpriseServer, IEssGroup, IEssMember, IEssMemberSelection, IEssOlapApplication, IEssOlapServer, IEssUser

public interface IEssExtendedObject
extends IEssBaseObject

The IEssExtendedObject interface.

Method Summary
`void` | `clearClientCache()` Clears the client cache for this object.
`java.lang.String` | `getName()` Gets the name of the object.
`IEssExtendedObject` | `getParent()` Gets the parent of the object.
`IEssBaseObject` | `getParentBase()` Gets the parent of the object as IEssBaseObject.
`boolean` | `isClientCachingEnabled()` Checks if client side caching is enabled for this object.
`void` | `setClientCachingEnabled(boolean enableCaching)` Sets if client side caching is enabled for this object.

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the name of the object.

  Returns:
    The name of the object.
  Throws:
    `EssException` - if an error occurs.

### getParent

    public IEssExtendedObject getParent()
                                 throws EssException

  Gets the parent of the object.

  Returns:
    The parent of the object.
  Throws:
    `EssException` - if an error occurs.

### getParentBase

    public IEssBaseObject getParentBase()
                                 throws EssException

  Gets the parent of the object as IEssBaseObject.

  Returns:
    The parent of the object as IEssBaseObject.
  Throws:
    `EssException` - if an error occurs.

### isClientCachingEnabled

    public boolean isClientCachingEnabled()
                                   throws EssException

  Checks if client side caching is enabled for this object.

  Returns:
    true if client caching is enabled.
  Throws:
    `EssException` - if an error occurs.

### setClientCachingEnabled

    public void setClientCachingEnabled(boolean enableCaching)
                                 throws EssException

  Sets if client side caching is enabled for this object.

  Parameters:
    `enableCaching` - true if client caching is to be enabled.
  Throws:
    `EssException` - if an error occurs.

### clearClientCache

    public void clearClientCache()
                          throws EssException

  Clears the client cache for this object.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD